Update a screener's top-level properties
curl --request PATCH \
--url https://api.rallyuxr.com/api/public/v1/studies/{studyId}/screener \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"showSchedulerToQualified": true,
"qualifyByDefault": true
}
'import requests
url = "https://api.rallyuxr.com/api/public/v1/studies/{studyId}/screener"
payload = {
"showSchedulerToQualified": True,
"qualifyByDefault": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({showSchedulerToQualified: true, qualifyByDefault: true})
};
fetch('https://api.rallyuxr.com/api/public/v1/studies/{studyId}/screener', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rallyuxr.com/api/public/v1/studies/{studyId}/screener",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'showSchedulerToQualified' => true,
'qualifyByDefault' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.rallyuxr.com/api/public/v1/studies/{studyId}/screener"
payload := strings.NewReader("{\n \"showSchedulerToQualified\": true,\n \"qualifyByDefault\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.rallyuxr.com/api/public/v1/studies/{studyId}/screener")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"showSchedulerToQualified\": true,\n \"qualifyByDefault\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rallyuxr.com/api/public/v1/studies/{studyId}/screener")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"showSchedulerToQualified\": true,\n \"qualifyByDefault\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"workspaceId": "<string>",
"studyId": "<string>",
"type": "RALLY",
"showSchedulerToQualified": true,
"qualifyByDefault": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"questions": [
{
"category": "simple",
"type": "SHORT_FORM",
"name": "<string>",
"isRequired": true,
"id": "<string>",
"workspaceId": "<string>",
"description": "<string>",
"mappedToPropertyId": "<string>",
"questionTemplateId": "<string>"
}
],
"externalSurveyId": "<string>",
"surveyMonkeyCollectorId": "<string>",
"externalSurveySetupStatus": "IN_PROGRESS",
"externalSurveySetupErrorCode": "<string>",
"externalSurveySetupUpdatedAt": "2023-11-07T05:31:56Z",
"customLinkUrl": "<string>",
"customLinkTokensJson": "<string>"
}{
"errors": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}UnauthorizedForbidden{Resource} not foundStudy is not in draft statusToo Many RequestsInternal Server ErrorScreener
Update a screener's top-level properties
Update the top-level properties of a draft study’s screener. Only the provided fields change. Question updates must go through PUT /studies//screener. Only Rally screeners can be managed via the API. Not available for survey studies.
PATCH
/
studies
/
{studyId}
/
screener
Update a screener's top-level properties
curl --request PATCH \
--url https://api.rallyuxr.com/api/public/v1/studies/{studyId}/screener \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"showSchedulerToQualified": true,
"qualifyByDefault": true
}
'import requests
url = "https://api.rallyuxr.com/api/public/v1/studies/{studyId}/screener"
payload = {
"showSchedulerToQualified": True,
"qualifyByDefault": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({showSchedulerToQualified: true, qualifyByDefault: true})
};
fetch('https://api.rallyuxr.com/api/public/v1/studies/{studyId}/screener', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rallyuxr.com/api/public/v1/studies/{studyId}/screener",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'showSchedulerToQualified' => true,
'qualifyByDefault' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.rallyuxr.com/api/public/v1/studies/{studyId}/screener"
payload := strings.NewReader("{\n \"showSchedulerToQualified\": true,\n \"qualifyByDefault\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.rallyuxr.com/api/public/v1/studies/{studyId}/screener")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"showSchedulerToQualified\": true,\n \"qualifyByDefault\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rallyuxr.com/api/public/v1/studies/{studyId}/screener")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"showSchedulerToQualified\": true,\n \"qualifyByDefault\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"workspaceId": "<string>",
"studyId": "<string>",
"type": "RALLY",
"showSchedulerToQualified": true,
"qualifyByDefault": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"questions": [
{
"category": "simple",
"type": "SHORT_FORM",
"name": "<string>",
"isRequired": true,
"id": "<string>",
"workspaceId": "<string>",
"description": "<string>",
"mappedToPropertyId": "<string>",
"questionTemplateId": "<string>"
}
],
"externalSurveyId": "<string>",
"surveyMonkeyCollectorId": "<string>",
"externalSurveySetupStatus": "IN_PROGRESS",
"externalSurveySetupErrorCode": "<string>",
"externalSurveySetupUpdatedAt": "2023-11-07T05:31:56Z",
"customLinkUrl": "<string>",
"customLinkTokensJson": "<string>"
}{
"errors": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}UnauthorizedForbidden{Resource} not foundStudy is not in draft statusToo Many RequestsInternal Server ErrorAuthorizations
Body
application/json
Response
The updated screener
A screener with its top-level properties and all questions